# XATTR_FOUND libattr found
# XATTR_INCLUDE_DIRS include directories
# XATTR_LIBRARIES libattr library

FIND_PATH(XATTR_INCLUDE attr/xattr.h
    /usr/include
    /usr/local/include
    ${CMAKE_INCLUDE_PATH}
    ${CMAKE_INSTALL_PREFIX}/usr/include
)

FIND_LIBRARY(XATTR_LIB NAMES attr libattr
    PATHS
        ${CMAKE_LIBRARY_PATH}
        ${CMAKE_INSTALL_PREFIX}/lib
)

IF(XATTR_INCLUDE AND XATTR_LIB)
  SET(XATTR_FOUND TRUE)
  SET(XATTR_INCLUDE_DIRS ${XATTR_INCLUDE})
  SET(XATTR_LIBRARIES ${XATTR_LIB})
  MESSAGE(STATUS "Found xattr")
ELSE(XATTR_INCLUDE AND XATTR_LIB)
  SET(XATTR_FOUND FALSE)
  SET(XATTR_LIBRARIES "")
  MESSAGE(STATUS "Not found xattr")
ENDIF(XATTR_INCLUDE AND XATTR_LIB)

MARK_AS_ADVANCED( XATTR_LIB XATTR_INCLUDE )
